# Class MapLookup<K,V>

java.lang.Object
org.fressian.impl.MapLookup<K,V>

All Implemented Interfaces:
  `ILookup<K,V>`

public class MapLookup<K,V> extends Object implements ILookup<K,V>

## Field Summary

Fields
Modifier and Type
Field
Description
`final Map<K,V>`
`map`

## Constructor Summary

Constructors
Constructor
Description
`MapLookup(Map<K,V> map)`

## Method Summary

Modifier and Type
Method
Description
`V`
`valAt(K key)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### map

public final Map<K,V> map

## Constructor Details

### MapLookup

public MapLookup(Map<K,V> map)

## Method Details

### valAt

public V valAt(K key)

Specified by:
  `valAt` in interface `ILookup<K,V>`